/*
 * JPA DAO Template
 *
 *
 * Takatuka - Template fuer JPA DAO
 *
 */

package de.ivu.elect.business.wertelisten.boundary;

import de.ivu.elect.business.wertelisten.entity.Wertelisten;

@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class WertelistenDAO extends AbstractWertelistenDAO {

  private static final long serialVersionUID = 1L;

  @javax.inject.Inject
  private transient de.ivu.elect.jee.entity.SimpleDAO simpleDAO;

  @Override
  protected javax.persistence.EntityManager getEntityManager() {
    return simpleDAO.getEntityManager();
  }

  public void persist(Wertelisten wertelisten){
    getEntityManager().persist(wertelisten);
  }

  public void remove(Wertelisten wertelisten){
    getEntityManager().remove(wertelisten);
  }

@javax.inject.Inject
private transient de.ivu.elect.presentation.system.DAOCache daoCache;

                                                    
        /**
        * Name: WahlAndWertelistenArtNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT obj FROM Wertelisten obj WHERE obj.wahl = ?1 AND obj.wertelistenArt IN (?2)<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<Wertelisten> findByWahlAndWertelistenArt( @javax.annotation.Nonnull de.ivu.elect.business.wahl.entity.Wahl wahl,  @javax.annotation.Nonnull java.util.Collection<de.ivu.elect.business.wertelisten.entity.WertelistenArt> wertelistenArt) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("Wertelisten.findByWahlAndWertelistenArt" ,  wahl ,  wertelistenArt  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByWahlAndWertelistenArt( wahl ,  wertelistenArt  ));
        }
        return (java.util.List<Wertelisten>) cached;
        }
            return super.findByWahlAndWertelistenArt( wahl ,  wertelistenArt  );
            }
                    
@Override
public void clear() {
super.clear();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}

}

@Override
public void flush() {
super.flush();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}
}



}